KFMCLIENT(1)

NAME
kfmclient - KDE tool for opening URLs from the command line

SYNOPSIS
kfmclient [Qt-options] [KDE-options] [options] command [URL(s)]

DESCRIPTION
kfmclient is a tool for opening local and remote URLs in Konqueror from the command line.

COMMANDS

  openURL

  kfmclient openURL url [ mimetype ]
Opens a window showing url. url may be a relative path or file name,
    such as . or subdir/. If url is omitted, $HOME is used instead. If mimetype is specified, it will be used to determine the component that Konqueror should use. For instance, set it to text/html for a web page, to make it appear faster.

  newTab

kfmclient newTab url [ mimetype ]
    Same as above but opens a new tab with url in an existing Konqueror window on the current active desktop if possible.

  openProfile

kfmclient openProfile profile [ url ]
    Opens a window using the given profile. profile is a file under ~/.kde/share/apps/konqueror/profiles. url is an optional URL to open.

  openProperties

kfmclient openProperties url
    Opens a properties menu.

  exec

kfmclient exec [ url [ binding ] ]
    Tries to execute url. url may be a usual URL, this URL will be opened. You may omit binding. In this case the default binding is tried. Of course URL may be the URL of a document, or it may be a *.desktop file. This way you could for example mount a device by passing 'Mount default' as binding to 'cdrom.desktop'.

  move

kfmclient move src dest
    Moves the URL src to dest. src may be a list of URLs.

  copy

kfmclient copy src dest
    Copies the URL src to dest. src may be a list of URLs.

  download

kfmclient download [ src ]
    Copies the URL src to a user specified location. src may be a list of URLs, if not present then a URL will be requested.

  sortDesktop

kfmclient sortDesktop
    Rearranges all icons on the desktop.

  configure

kfmclient configure
    Re-read Konqueror's configuration.

  configureDesktop

kfmclient configureDesktop
    Re-read kdesktop's configuration.

OPTIONS

  Generic options:

  --help
Show help about options

--help-qt
    Show Qt specific options

--help-kde
    Show KDE specific options

--help-all
    Show all options

--author
    Show author information

-v, --version
    Show version information

--license
    Show license information

--  End of options

  KDE options:

  --caption <caption>
Use 'caption' as name in the titlebar

--icon <icon>
    Use 'icon' as the application icon

--miniicon <icon>
    Use 'icon' as the icon in the titlebar

--config <filename>
    Use alternative configuration file

--dcopserver <server>
    Use the DCOP Server specified by 'server'

--nocrashhandler
    Disable crash handler, to get core dumps

--waitforwm
    Waits for a WM_NET compatible windowmanager

--style <style>
    sets the application GUI style

--geometry <geometry>
    sets the client geometry of the main widget

  Qt options:

  --display <displayname>
Use the X-server display 'displayname'

--session <sessionId>
    Restore the application for the given 'sessionId'

--cmap
    Causes the application to install a private color map on an 8-bit display

--ncols <count>
    Limits the number of colors allocated in the color cube on an 8-bit display, if the application is using the QApplication::ManyColor color specification

--nograb
    tells Qt to never grab the mouse or the keyboard

--dograb
    running under a debugger can cause an implicit -nograb, use -dograb to override

--sync
    switches to synchronous mode for debugging

--fn, --font <fontname>
    defines the application font

--bg, --background <color>
    sets the default background color and an application palette (light and dark shades are calculated)

--fg, --foreground <color>
    sets the default foreground color

--btn, --button <color>
    sets the default button color

--name <name>
    sets the application name

--title <title>
    sets the application title (caption)

--visual TrueColor
    forces the application to use a TrueColor visual on an 8-bit display

--inputstyle <inputstyle>
    sets XIM (X Input Method) input style. Possible values are onthespot, overthespot, offthespot and root

--im <XIM server>
    set XIM server

--noxim
    disable XIM

--reverse
    mirrors the whole layout of widgets

EXAMPLES

kfmclient exec file:/root/Desktop/cdrom.desktop "Mount default"
    Mounts the CD-ROM.

kfmclient exec file:/home/weis/data/test.html
    Opens the file with default binding.

kfmclient exec file:/home/weis/data/test.html Netscape
    Opens the file with netscape.

kfmclient exec ftp://localhost/
    Opens new window with URL.

kfmclient exec file:/root/Desktop/emacs.desktop
    Starts emacs.

kfmclient exec file:/root/Desktop/cdrom.desktop
    Opens the CD-ROM's mount directory.

kfmclient exec .
    Opens the current directory. Very convenient.

OTHER
This manual page was written by Adeodato Simo <asp16@alu.ua.es> for the Debian system (but may be used by others). This manual page can be redistribute and/or modified it under the terms of the GNU General Public License as published by the Free Software Foundation; version 2 dated June, 1991.